Re: [ecasound] 2.4.1-snapshot20050329; changes in CVS

From: Kai Vehmanen <kvehmanen@email-addr-hidden>
Date: Fri Apr 08 2005 - 01:17:05 EEST

On Tue, 29 Mar 2005, Kamil Wencel wrote:

> Regarding the aRts issue and gentoo:
> I left arts support out of the ecasound-2.4.0 ebuild package ( which already
> is in the current gentoo cvs ).

This is ok to me. As mentioned some time ago on this list (then related to
Ecasound's Debian packages), my recommendation is to disable aRts support
in the distribution packages of Ecasound at this point.

This seems reasonable as 1) aRts's development has now stopped, 2)
Ecasound only supports the aRts libartsc wrapper API (no extra
functionality available, just basic audio input and output), and 3) the
artsdsp wrapper [1] is quite mature and works nicely with Ecasound's OSS
plugin in case you are running artsd.

And on the positive side, Ecasound package will then have one dependency
less (aRts package is no longer required to install Ecasound).

If someone disagrees with this, now is a good time to voice your
concerns. :)


  Audio software for Linux!
SF email is sponsored by - The IT Product Guide
Read honest & candid reviews on hundreds of IT Products from real users.
Discover which products truly live up to the hype. Start reading now.
Ecasound-list mailing list
Received on Fri Apr 8 04:15:10 2005

This archive was generated by hypermail 2.1.8 : Fri Apr 08 2005 - 04:15:10 EEST